# org.codehaus.plexus.component.composition

## Interfaces

- ComponentComposer
- ComponentComposerManager
- CompositionResolver

## Classes

- AbstractComponentComposer
- DefaultComponentComposerManager
- DefaultCompositionResolver
- FieldComponentComposer
- MapOrientedComponentComposer
- NoOpComponentComposer
- SetterComponentComposer

## Exceptions

- CompositionException
- UndefinedComponentComposerException